# vim: set ft=spec: -*- spec -*-
# $Id: jamlib,v 1.2 2003/12/14 22:19:38 raorn Exp $

%def_disable static

Name: jamlib
Version: 1.4.7
Release: alt2

Summary: A JAM subroutine library
License: LGPL
Group: System/Libraries
Source: %name-%version.tar.gz
Prefix: %prefix

%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
These are a collection of subroutines that encapsulate much of the
format-specific and tedious details of the JAM message base format.
The idea is that application programmers by using these routines can
concentrate on the more high-level issues of their programs instead
of worrying about their JAM routines.

%package devel
Summary: Include files for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%description devel
These are a collection of subroutines that encapsulate much of the
format-specific and tedious details of the JAM message base format.
The idea is that application programmers by using these routines can
concentrate on the more high-level issues of their programs instead
of worrying about their JAM routines.

The %name-devel package contains the include files needed to develop
programs that use the %name library.

%if_enabled static
%package  devel-static
Summary: Static library for developing apps which will use %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
These are a collection of subroutines that encapsulate much of the
format-specific and tedious details of the JAM message base format.
The idea is that application programmers by using these routines can
concentrate on the more high-level issues of their programs instead
of worrying about their JAM routines.

The %name-devel-static package contains the static library needed to
develop statically linked programs that use the %name library.
%endif

%prep
%setup

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
	%{subst_enable static}
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%_libdir/*.so.*

%files devel
%doc jamlib.doc
%_includedir/*
%_libdir/*.so
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Dec 15 2003 Sir Raorn <raorn@altlinux.ru> 1.4.7-alt2
- devel-static and *.la fixes

* Tue Mar 25 2003 Sir Raorn <raorn@altlinux.ru> 1.4.7-alt1
- [1.4.7]

* Mon Oct 28 2002 Sir Raorn <raorn@altlinux.ru> 1.4.5-alt1
- [1.4.5]

* Mon Aug 12 2002 Sir Raorn <raorn@altlinux.ru> 1.4.4-alt1
- [1.4.4]
- Some spec tidyups

* Thu Dec 27 2001 Sir Raorn <raorn@altlinux.ru> 1.4.3-alt1
- [1.4.3]

* Mon Dec 24 2001 Sir Raorn <raorn@altlinux.ru> 1.4.2-alt1
- [1.4.2]

* Sun Dec 17 2001 Sir Raorn <raorn@altlinux.ru> 1.4.1-alt1
- [1.4.1]

* Sun Dec 16 2001 Sir Raorn <raorn@altlinux.ru> 1.4.0-alt2
- Force strip method to executable

* Sat Dec 08 2001 Sir Raorn <raorn@altlinux.ru> 1.4.0-alt1
- [1.4.0]

* Mon Dec 03 2001 Sir Raorn <raorn@altlinux.ru> 1.3.4-alt1
- Built for Sisyphus

